Skip to content
Справочник APIPlatformPlatform billing

Platform_bulk_migrate_price

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/platform/v1/billing/subscriptions/bulk-migrate-price

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/subscriptions/bulk-migrate-price" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "filter": {      "from_price_id": "af4ca7a2-27c2-4a37-882c-6b342a553764"    },    "reason": "string",    "to_price_id": "be5f759a-530c-4854-913d-71319bc9efbf"  }'
{  "affected": 0,  "failed": [    {      "error": "string",      "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627"    }  ],  "idempotency_replay": true}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}